# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject1
# FileName:      read_db.py
# Author:       xxxxxxx
# Datetime:     2023/8/5 9:55
# Description:
# #号开头的代码表示注释信息
# ---------------------------------------------------------------------------
import pymysql


from homewoke.接口pytest框架.common.read_ini import ReadIni
from homewoke.接口pytest框架.file_data.settings import *


class DB:
    def __init__(self):
        read_ini = ReadIni()
        self.conn = pymysql.connect(host=read_ini.get_sql_connect_message(HOST),
                                    port=int(read_ini.get_sql_connect_message(PORT)),
                                    user=read_ini.get_sql_connect_message(USER),
                                    password=read_ini.get_sql_connect_message(PASSWORD),
                                    database=read_ini.get_sql_connect_message(DATABASE),
                                    charset="utf8")
        self.cursor = self.conn.cursor()

    def close_mysql(self):
        self.cursor.close()
        self.conn.close()

    def delete(self, sql_sentence):
        self.cursor.execute(sql_sentence)
        self.conn.commit()

    def select(self,sql_sentence):
        self.cursor.execute(sql_sentence)
        select_result = self.cursor.fetchall()
        print(select_result)
        if select_result:
            return select_result[0][0]


if __name__ == '__main__':
    db = DB()



